Subject: [Ltru] Ticket #47: AD Issue #14: section 3.1.2 confusing text on replacement tags

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 29 Apr 2009 15:53:05 -0700

The AD suggests:

--
     + For fields of type 'extlang', 'grandfathered', or
    'redundant', 'Preferred-Value' contains an "extended
    language range" ([RFC4647]) that is preferred for forming
    the language tag. That is, each of the subtags that appears
    in the value MUST appear in the replacement tag;

You lost me here: what is "the value" and what is "the replacement tag"
in this case.

--

Proposed resolution:

Changed the above text to read:

--
For fields of type 'extlang', 'grandfathered', or 'redundant', 'Preferred-Value' contains an "extended language range" (<xref target="RFC4647"></xref>) that is preferred for forming the language tag. That is, the preferred language tag will contain, in order, each of the subtags that appears in the Preferred-Value; additional fields can be included in a language tag as described elsewhere in this document.
--

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 30 Apr 2009 14:18:31 -0700

Hi -

As co-chair...

> From: "Phillips, Addison" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Wednesday, April 29, 2009 3:53 PM
> Subject: [Ltru] Ticket #47: AD Issue #14: section 3.1.2 confusing text on replacement tags
...
> For fields of type 'extlang', 'grandfathered', or 'redundant', 'Preferred-Value' 
> contains an "extended language range" (<xref target="RFC4647"></xref>)
> that is preferred for forming the language tag. That is, the preferred language
> tag will contain, in order, each of the subtags that appears in the Preferred-Value;
> additional fields can be included in a language tag as described elsewhere in this
> document.
> --
...

I think the proposed text addresses the AD's comment and is in line with
the WG's intent, so I'm marking this item "closed"

http://trac.tools.ietf.org/wg/ltru/trac/ticket/47

Randy